KSplashScreen Class Reference

`#include <ksplashscreen.h>`

Inherits QSplashScreen.

## Public Member Functions

| KSplashScreen (const QPixmap &pixmap, WFlags f=0)
| ~KSplashScreen ()

## Detailed Description

KDE splash screen

This class is based on QSplashScreen and exists solely to make splash screens obey KDE's Xinerama settings.

For documentation on how to use the class, see the documentation for QSplashScreen.

Author
  Chris Howells (howel.nosp@m.ls@k.nosp@m.de.or.nosp@m.g)

Since
  3.2

Definition at line 41 of file ksplashscreen.h.

## Constructor & Destructor Documentation

KSplashScreen::KSplashScreen | ( | const QPixmap & | pixmap,
|  | WFlags | f = `0`
| ) |  |

Constructs a splash screen.

Definition at line 28 of file ksplashscreen.cpp.

KSplashScreen::~KSplashScreen | ( |  | ) |

Destructor.

Deletes all internal objects.

Definition at line 38 of file ksplashscreen.cpp.

The documentation for this class was generated from the following files:

- ksplashscreen.h
- ksplashscreen.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys